// import iframeStatus from './iframeStatus';
// import iframePostMessage  from './iframePostMessage';
function iframeStatusJs() {
	var head = document.getElementsByTagName('head');
	var testScript = document.createElement('script');
	testScript.src = 'js/iframeStatus.js';
	testScript.type = 'text/javascript';
	head[0].appendChild(testScript);
}
function iframePostMessageJs() {
	var head = document.getElementsByTagName('head');
	var testScript = document.createElement('script');
	testScript.src = 'js/iframePostMessage.js';
	testScript.type = 'text/javascript';
	head[0].appendChild(testScript);
}
iframeStatusJs()
iframePostMessageJs()
window.iframeIndex =  {
    /**
     * 开启/销毁iframe
     * @method openOrDestroyIframe
     * @param { string } type iframe状态类型,create(创建),destroy(销毁),checked(切换)
     * @param { string } id iframeID
     * @param { string } src iframeSRC地址
     * @return void
     * */
    openOrDestroyIframe: function({type,id,src}) {
        console.log(src)
        switch (type) {
            case 'create': // 创建
                window.iframeStatus.init(id,src)
                break
            case 'destroy': // 销毁
                window.iframeStatus.destroy()
                break
            case 'checked': // 切换
                window.setTimeout(() => {
                    console.log('正在切换src')
                    window.iframeStatus.iframeChecked(id,src)
                },800)
                break
        }
    },
    /**
     * 已有iframe并发送消息
     * @method webviewHasIframe
     * @param { object } data 传入数据
     * @param { string } id iframeID
     * @return void
     * */
    webviewHasIframe: function(data,id) {
        id = id ? id : 'wbIframe'
        if(id && typeof id === 'string' && document.getElementById(id)){
            if (window.hasIframe) {
                console.log('00000')
                window.setTimeout(() => {
                    window.iframePostMessage.iframeMessageToWebview()
                },800)
            }
            window.document.getElementById('wbIframe').contentWindow.postMessage(data, '*');
            return true
        } else {
            alert('请先创建iframe')
        }
    }
}
